New Search

The IPSEC livetest tool in Openswan 2.4.12 and earlier and 2.6.x through 2.6.16 allows local users to overwrite arbitrary files and execute arbitrary code via a symlink attack on the (1) ipseclive.conn and (2) ipsec.olts.remote.log temporary files. NOTE: in many distributions and the upstream version this tool has been disabled.

oval:org.mitre.oval:def:10078

The IPSEC livetest tool in Openswan 2.4.12 and earlier and 2.6.x through 2.6.16 allows local users to overwrite arbitrary files and execute arbitrary code via a symlink attack on the (1) ipseclive.conn and (2) ipsec.olts.remote.log temporary files. NOTE: in many distributions and the upstream version this tool has been disabled.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • Oracle Linux 5
  • CentOS Linux 5
  • Red Hat Enterprise Linux 5
Class:
vulnerability
Reference(s):
  • CVE-2008-4190
Product(s):